Index: /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/services/factclientinfoService.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/services/factclientinfoService.js	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/services/factclientinfoService.js	(revision 12878)
@@ -0,0 +1,12 @@
+﻿(function () {
+    var module = appMaintenancePlugin.getAngularModule();
+    var apiUrl = 'api/Maintenance/FactClientInfo/';
+    module.factory('app.maintenance.factclientinfoService',
+        ['$resource', function ($resource) {
+            return $resource(apiUrl + ':action', { start: '@start', end: '@end', entries: '@entries' }, {
+                getFactClientInfo: { method: 'GET', params: { action: 'GetFactClientInfo' } },
+                aggregate: { method: 'POST', params: { action: 'Aggregate' } }
+            });
+        }]
+    );
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/services/facttaskService.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/services/facttaskService.js	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/services/facttaskService.js	(revision 12878)
@@ -0,0 +1,13 @@
+﻿(function () {
+    var module = appMaintenancePlugin.getAngularModule();
+    var apiUrl = 'api/Maintenance/FactTask/';
+    module.factory('app.maintenance.facttaskService',
+        ['$resource', function ($resource) {
+            return $resource(apiUrl + ':action', { start: '@start', end: '@end', id: '@id', page: '@page', size: '@size' }, {
+                getJobs: { method: 'GET', params: { action: 'GetJobs' } },
+                aggregateJob: { method: 'POST', params: { action: 'AggregateJob' } },
+                aggregateAllJobs: { method: 'POST', params: { action: 'AggregateAllJobs' } }
+            });
+        }]
+    );
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/services/pluginService.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/services/pluginService.js	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/services/pluginService.js	(revision 12878)
@@ -0,0 +1,13 @@
+﻿(function () {
+    var module = appMaintenancePlugin.getAngularModule();
+    var apiUrl = 'api/Maintenance/Plugin/';
+    module.factory('app.maintenance.pluginService',
+        ['$resource', function ($resource) {
+            return $resource(apiUrl + ':action', { id: '@id', page: '@page', size: '@size' }, {
+                getUnusedPlugins: { method: 'GET', params: { action: 'GetUnusedPlugins' } },
+                deletePlugin: { method: 'POST', params: { action: 'DeletePlugin' } },
+                deleteUnusedPlugins: { method: 'POST', params: { action: 'DeleteUnusedPlugins' } }
+            });
+        }]
+    );
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/services/spaceUsageService.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/services/spaceUsageService.js	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/services/spaceUsageService.js	(revision 12878)
@@ -0,0 +1,12 @@
+﻿(function () {
+    var module = appMaintenancePlugin.getAngularModule();
+    var apiUrl = 'api/Maintenance/SpaceUsage/';
+    module.factory('app.maintenance.spaceUsageService',
+        ['$resource', function ($resource) {
+            return $resource(apiUrl + ':action', {}, {
+                getHiveTableInformation: { method: 'GET', params: { action: 'GetHiveTableInformation' }, isArray: true },
+                getStatisticsTableInformation: { method: 'GET', params: { action: 'GetStatisticsTableInformation' }, isArray: true }
+            });
+        }]
+    );
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/spaceUsage/spaceUsage.cshtml
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/spaceUsage/spaceUsage.cshtml	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/spaceUsage/spaceUsage.cshtml	(revision 12878)
@@ -0,0 +1,91 @@
+﻿@using HeuristicLab.Services.Hive
+<header class="view-header">
+    <ul class="nav nav-list nav-list-topbar pull-left">
+        <li class="active">
+            <a ng-href="#/maintenance/spaceusage">Space Usage</a>
+        </li>
+        <li>
+            <a ng-href="#/maintenance/plugin">Plugin</a>
+        </li>
+        <li>
+            <a ng-href="#/maintenance/facttask">FactTask</a>
+        </li>
+        <li>
+            <a ng-href="#/maintenance/factclientinfo">FactClientInfo</a>
+        </li>
+    </ul>
+</header>
+
+<div class="default-view-container">
+    <div class="row">
+        <div class="col-lg-12">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Statistics Tables Space Usage</h3>
+                </div>
+                <div class="panel-body">
+                    <table class="table table-hover table-condensed" ts-wrapper>
+                        <thead>
+                            <tr>
+                                <th>#</th>
+                                <th ts-criteria="Name">Table Name</th>
+                                <th ts-criteria="Rows" class="text-right">Rows</th>
+                                <th ts-criteria="Reserved" class="text-right">Reserved</th>
+                                <th ts-criteria="Data" class="text-right">Data</th>
+                                <th ts-criteria="IndexSize" class="text-right">Index Size</th>
+                                <th ts-criteria="Unused" class="text-right">Unused</th>
+                            </tr>
+                        </thead>
+                        <tbody>
+                            <tr ng-repeat="tableInformation in statisticsTableInformation" ts-repeat>
+                                <td>{{$index + 1}}</td>
+                                <td>{{tableInformation.Name}}</td>
+                                <td class="text-right">{{tableInformation.Rows}}</td>
+                                <td class="text-right">{{tableInformation.Reserved}} KB</td>
+                                <td class="text-right">{{tableInformation.Data}} KB</td>
+                                <td class="text-right">{{tableInformation.IndexSize}} KB</td>
+                                <td class="text-right">{{tableInformation.Unused}} KB</td>
+                            </tr>
+                        </tbody>
+                    </table>
+                </div>
+            </div>
+        </div>
+    </div>
+
+    <div class="row">
+        <div class="col-lg-12">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Hive Tables Space Usage</h3>
+                </div>
+                <div class="panel-body">
+                    <table class="table table-hover table-condensed" ts-wrapper>
+                        <thead>
+                            <tr>
+                                <th>#</th>
+                                <th ts-criteria="Name">Table Name</th>
+                                <th ts-criteria="Rows" class="text-right">Rows</th>
+                                <th ts-criteria="Reserved" class="text-right">Reserved</th>
+                                <th ts-criteria="Data" class="text-right">Data</th>
+                                <th ts-criteria="IndexSize" class="text-right">Index Size</th>
+                                <th ts-criteria="Unused" class="text-right">Unused</th>
+                            </tr>
+                        </thead>
+                        <tbody>
+                            <tr ng-repeat="tableInformation in hiveTableInformation" ts-repeat>
+                                <td>{{$index + 1}}</td>
+                                <td>{{tableInformation.Name}}</td>
+                                <td class="text-right">{{tableInformation.Rows}}</td>
+                                <td class="text-right">{{tableInformation.Reserved}} KB</td>
+                                <td class="text-right">{{tableInformation.Data}} KB</td>
+                                <td class="text-right">{{tableInformation.IndexSize}} KB</td>
+                                <td class="text-right">{{tableInformation.Unused}} KB</td>
+                            </tr>
+                        </tbody>
+                    </table>
+                </div>
+            </div>
+        </div>
+    </div>
+</div>
Index: /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/spaceUsage/spaceUsageCtrl.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/spaceUsage/spaceUsageCtrl.js	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/WebApp/spaceUsage/spaceUsageCtrl.js	(revision 12878)
@@ -0,0 +1,24 @@
+﻿(function () {
+    var module = appMaintenancePlugin.getAngularModule();
+    module.controller('app.maintenance.spaceUsageCtrl',
+        ['$scope', '$interval', 'app.maintenance.spaceUsageService', function ($scope, $interval, spaceUsageService) {
+            $scope.interval = defaultPageUpdateInterval;
+
+            var getTableInformations = function () {
+                spaceUsageService.getHiveTableInformation({}, function (tableInformations) {
+                    $scope.hiveTableInformation = tableInformations;
+                });
+                spaceUsageService.getStatisticsTableInformation({}, function (tableInformations) {
+                    $scope.statisticsTableInformation = tableInformations;
+                });
+            };
+
+            $scope.updateInterval = $interval(getTableInformations, $scope.interval);
+            var cancelInterval = $scope.$on('$locationChangeSuccess', function () {
+                $interval.cancel($scope.updateInterval);
+                cancelInterval();
+            });
+            getTableInformations(); // init page
+        }]
+    );
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/maintenance.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/maintenance.js	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Maintenance/3.3/maintenance.js	(revision 12878)
@@ -0,0 +1,32 @@
+﻿var appMaintenancePlugin = app.registerPlugin('maintenance');
+(function () {
+    var plugin = appMaintenancePlugin;
+    plugin.dependencies = ['ngResource', 'ui.knob', 'ui.bootstrap', 'tableSort'];
+    plugin.files = [
+        'WebApp/services/spaceUsageService.js',
+        'WebApp/services/pluginService.js',
+        'WebApp/services/facttaskService.js',
+        'WebApp/services/factclientinfoService.js',
+        'WebApp/plugin/pluginCtrl.js',
+        'WebApp/facttask/facttaskCtrl.js',
+        'WebApp/factclientinfo/factclientinfoCtrl.js',
+        'WebApp/spaceUsage/spaceUsageCtrl.js'
+    ];
+    plugin.view = 'WebApp/spaceUsage/spaceUsage.cshtml';
+    plugin.controller = 'app.maintenance.spaceUsageCtrl';
+    plugin.routes = [
+        new Route('spaceusage', 'WebApp/spaceUsage/spaceUsage.cshtml', 'app.maintenance.spaceUsageCtrl'),
+        new Route('facttask', 'WebApp/facttask/facttask.cshtml', 'app.maintenance.facttaskCtrl'),
+        new Route('factclientinfo', 'WebApp/factclientinfo/factclientinfo.cshtml', 'app.maintenance.factclientinfoCtrl'),
+        new Route('plugin', 'WebApp/plugin/plugin.cshtml', 'app.maintenance.pluginCtrl')
+    ];
+    var menu = app.getMenu();
+    var section = menu.getSection('Administration', -1);
+    section.addEntry({
+        name: 'Maintenance',
+        route: '#/maintenance',
+        icon: 'glyphicon glyphicon-cog',
+        entries: []
+    });
+})();
+
Index: /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/HeuristicLab.Services.WebApp.Statistics-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/HeuristicLab.Services.WebApp.Statistics-3.3.csproj	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/HeuristicLab.Services.WebApp.Statistics-3.3.csproj	(revision 12878)
@@ -0,0 +1,308 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProjectGuid>{1BC54353-7D4C-4734-BAA9-3D11B3242B59}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Services.WebApp.Statistics</RootNamespace>
+    <AssemblyName>HeuristicLab.Services.WebApp.Statistics-3.3</AssemblyName>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <SolutionDir Condition="$(SolutionDir) == '' Or $(SolutionDir) == '*Undefined*'">..\..\</SolutionDir>
+    <RestorePackages>true</RestorePackages>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup>
+    <SignAssembly>true</SignAssembly>
+  </PropertyGroup>
+  <PropertyGroup>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
+    <OutputPath>bin\x86\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="Microsoft.Web.Infrastructure, Version=1.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
+      <Private>False</Private>
+      <HintPath>..\..\packages\Microsoft.Web.Infrastructure.1.0.0.0\lib\net40\Microsoft.Web.Infrastructure.dll</HintPath>
+    </Reference>
+    <Reference Include="Newtonsoft.Json, Version=7.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\packages\Newtonsoft.Json.7.0.1\lib\net45\Newtonsoft.Json.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Net.Http" />
+    <Reference Include="System.Net.Http.Formatting, Version=5.2.3.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\packages\Microsoft.AspNet.WebApi.Client.5.2.3\lib\net45\System.Net.Http.Formatting.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="System.Web" />
+    <Reference Include="System.Web.Helpers, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\packages\Microsoft.AspNet.WebPages.3.2.3\lib\net45\System.Web.Helpers.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="System.Web.Http, Version=5.2.3.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\packages\Microsoft.AspNet.WebApi.Core.5.2.3\lib\net45\System.Web.Http.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="System.Web.Http.WebHost, Version=5.2.3.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\packages\Microsoft.AspNet.WebApi.WebHost.5.2.3\lib\net45\System.Web.Http.WebHost.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="System.Web.Mvc, Version=5.2.3.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\packages\Microsoft.AspNet.Mvc.5.2.3\lib\net45\System.Web.Mvc.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="System.Web.Razor, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\packages\Microsoft.AspNet.Razor.3.2.3\lib\net45\System.Web.Razor.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="System.Web.WebPages, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\packages\Microsoft.AspNet.WebPages.3.2.3\lib\net45\System.Web.WebPages.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="System.Web.WebPages.Deployment, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\packages\Microsoft.AspNet.WebPages.3.2.3\lib\net45\System.Web.WebPages.Deployment.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="System.Web.WebPages.Razor, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\packages\Microsoft.AspNet.WebPages.3.2.3\lib\net45\System.Web.WebPages.Razor.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="System.Xml.Linq" />
+    <Reference Include="System.Data.DataSetExtensions" />
+    <Reference Include="Microsoft.CSharp" />
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="WebApi\ClientController.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="WebApi\DataTransfer\Client.cs" />
+    <Compile Include="WebApi\DataTransfer\ClientDetails.cs" />
+    <Compile Include="WebApi\DataTransfer\ClientPage.cs" />
+    <Compile Include="WebApi\DataTransfer\ClientStatus.cs" />
+    <Compile Include="WebApi\DataTransfer\ExceptionPage.cs" />
+    <Compile Include="WebApi\DataTransfer\Group.cs" />
+    <Compile Include="WebApi\DataTransfer\GroupDetails.cs" />
+    <Compile Include="WebApi\DataTransfer\GroupPage.cs" />
+    <Compile Include="WebApi\DataTransfer\Job.cs" />
+    <Compile Include="WebApi\DataTransfer\JobDetails.cs" />
+    <Compile Include="WebApi\DataTransfer\JobPage.cs" />
+    <Compile Include="WebApi\DataTransfer\Task.cs" />
+    <Compile Include="WebApi\DataTransfer\Exception.cs" />
+    <Compile Include="WebApi\DataTransfer\TaskPage.cs" />
+    <Compile Include="WebApi\DataTransfer\TaskStateCount.cs" />
+    <Compile Include="WebApi\DataTransfer\User.cs" />
+    <Compile Include="WebApi\DataTransfer\UserDetails.cs" />
+    <Compile Include="WebApi\ExceptionController.cs" />
+    <Compile Include="WebApi\GroupController.cs" />
+    <Compile Include="WebApi\JavascriptUtils.cs" />
+    <Compile Include="WebApi\JobController.cs" />
+    <Compile Include="WebApi\TaskController.cs" />
+    <Compile Include="WebApi\UserController.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <Content Include="statistics.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\clients\details\clientDetailsCtrl.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\clients\clientsCtrl.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\clients\details\clientTaskDetailsDialogCtrl.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\exceptions\exceptionsCtrl.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\exceptions\exceptionDetailsDialogCtrl.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\groups\details\groupDetailsCtrl.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\groups\groupsCtrl.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\jobs\details\jobDetailsCtrl.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\jobs\details\jobTaskDetailsDialogCtrl.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\jobs\jobsCtrl.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\services\clientService.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\services\exceptionService.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\services\groupService.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\services\jobService.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\services\statisticsService.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\services\taskService.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\services\userService.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\statistics.css">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\users\details\userDetailsCtrl.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\users\usersCtrl.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <None Include="HeuristicLab.snk" />
+    <Content Include="Properties\AssemblyInfo.cs.frame" />
+    <None Include="packages.config" />
+    <Content Include="Web.config">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\clients\clients.cshtml">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\jobs\jobs.cshtml">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\users\users.cshtml">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <None Include="WebApp\clients\details\clientDetails.cshtml">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </None>
+    <None Include="WebApp\clients\details\clientTaskDetailsDialog.cshtml">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </None>
+    <Content Include="WebApp\groups\groups.cshtml">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <None Include="WebApp\exceptions\exceptions.cshtml">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </None>
+    <None Include="WebApp\exceptions\exceptionDetailsDialog.cshtml">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </None>
+    <None Include="WebApp\groups\details\groupDetails.cshtml">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </None>
+    <None Include="WebApp\jobs\details\jobDetails.cshtml">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </None>
+    <None Include="WebApp\jobs\details\jobTaskDetailsDialog.cshtml">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </None>
+    <Content Include="WebApp\users\details\userDetails.cshtml">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+  </ItemGroup>
+  <ItemGroup />
+  <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.Services.Access\3.3\HeuristicLab.Services.Access-3.3.csproj">
+      <Project>{9FAC0B23-2730-452A-9BA0-D7CA1746C541}</Project>
+      <Name>HeuristicLab.Services.Access-3.3</Name>
+      <Private>False</Private>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Services.Hive.DataAccess\3.3\HeuristicLab.Services.Hive.DataAccess-3.3.csproj">
+      <Project>{ec2c8109-6e1e-4c88-9a2b-908cff2ef4ac}</Project>
+      <Name>HeuristicLab.Services.Hive.DataAccess-3.3</Name>
+      <Private>False</Private>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Services.Hive\3.3\HeuristicLab.Services.Hive-3.3.csproj">
+      <Project>{cf9da321-ac1b-4fd3-9ec3-67bc6b861bde}</Project>
+      <Name>HeuristicLab.Services.Hive-3.3</Name>
+      <Private>False</Private>
+    </ProjectReference>
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <Import Project="$(SolutionDir)\.nuget\NuGet.targets" Condition="Exists('$(SolutionDir)\.nuget\NuGet.targets')" />
+  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
+    <PropertyGroup>
+      <ErrorText>This project references NuGet package(s) that are missing on this computer. Enable NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
+    </PropertyGroup>
+    <Error Condition="!Exists('$(SolutionDir)\.nuget\NuGet.targets')" Text="$([System.String]::Format('$(ErrorText)', '$(SolutionDir)\.nuget\NuGet.targets'))" />
+  </Target>
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/Properties/AssemblyInfo.cs.frame	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/Properties/AssemblyInfo.cs.frame	(revision 12878)
@@ -0,0 +1,57 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Services.WebApp.Statistics")]
+[assembly: AssemblyDescription("HeuristicLab WebApp Statistics plugin")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2015 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("daa57a9d-2df7-4b13-80b5-2496239ba459")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.3.0.0")]
+[assembly: AssemblyFileVersion("3.3.12.$WCREV$")]
